(* $Id: CReals.v,v 1.92 2000/11/10 11:27:29 freek Exp $ *)

Require Export COrdFields.

(* Tex_Prose
\section{Reals}
\subsection{Definition of the notion of reals}
*)

(* Begin_SpecReals *)

(* Begin_Tex_Verb *)
Record is_CReals [R: COrdField; lim : (CauchySeq R) -> R] : Prop :=
  {ax_Lim  : (s:(CauchySeq R))(SeqLimit s (lim s));
   ax_Arch : (x:R)(Ex [n:nat](x [:<] (Nring n)))
  }.
(* End_Tex_Verb *)

(* Begin_Tex_Verb *)
Record CReals : Type :=
  {crl_crr   :> COrdField;
   crl_lim   :  (CauchySeq crl_crr) -> crl_crr;
   crl_proof :  (is_CReals crl_crr crl_lim)
  }.
(* End_Tex_Verb *)

(* End_SpecReals *)

(* Begin_Tex_Verb *)
Definition lim := crl_lim : (IR:CReals)(CauchySeq IR) -> IR.
(* End_Tex_Verb *)

Syntactic Definition Lim := (lim ?).


